PDA

View Full Version : RegASM for .NET 4.0 ComInterop



bunnios
04-21-2010, 12:19 PM
How do I RegASM for .net4.0 cominterop?

We ported our 3.5 to 4.0 and now installshield errors on build that it is not valid .net app.

Any ideas?

Gregg

MichaelU
04-22-2010, 10:32 AM
Have you updated the Regasm.exe location in Tools > Options, .NET Tab to point at the .NET 4.0 version of Regasm? I haven't tested this myself (obviously .NET 4.0 came out long after InstallShield 2010), but don't yet know of any reason it wouldn't work.